part of 'client_settings_bloc.dart';

abstract class ClientSettingsState extends Equatable {
  const ClientSettingsState();

  @override
  List<Object?> get props => <Object?>[];
}

class ClientSettingsInitial extends ClientSettingsState {
  const ClientSettingsInitial();
}

class ClientSettingsLoading extends ClientSettingsState {
  const ClientSettingsLoading();
}

class ClientSettingsSignOutSuccess extends ClientSettingsState {
  const ClientSettingsSignOutSuccess();
}

class ClientSettingsError extends ClientSettingsState {
  final String message;

  const ClientSettingsError(this.message);

  @override
  List<Object?> get props => <Object?>[message];
}
